require 'thor'
require 'httparty'

require "git_punch/version"

require "git_punch/repository"
require "git_punch/project"
require "git_punch/user"
require "git_punch/song"

require "git_punch/media_config"
require "git_punch/plugin"

module GitPunch
  def self.template_path
    "#{gemspec.full_gem_path}/lib/templates"
  end

  def self.gemspec
    Gem::Specification.find_by_name 'git-punch'
  end

  def self.file_server
    @config ||= {
      host: 'office1.curotecserver.com',
      user: 'notepunch'
    }
  end
end
